* {
    padding: 0;
    margin: 0;
    font-family: 'Georgia';
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
    color: #444;
}

a:hover{
 color: #37a1f7;
}

#navbar{
    padding: 1.5rem 2.5rem;
    border-bottom: 2px solid #ddd ;
}

#navbar-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
}

#nav-links {
    display: flex;
    gap: 1rem;
}

.container {
    display: flex;
    max-width: 1200px;
    padding: 2rem 2.5rem;
    gap: 3rem;
    margin: 0 auto;

}

#posts-container {
   flex: 3 1 0;
}

.post {
    margin-bottom: 2.5rem;
}

.post img {
    width: 100%;
    margin: 1rem;
}

.title, 
.description,
.author {
    margin-bottom:1rem;
}

.title {
    font-size: 2rem;
}

.author {
    color: #333;
    font-weight: bold;
}

#sidebar {
    flex: 1 1 0;
}

#search-bar, 
#categorias,
#tags {
    padding: 1.5rem;
    border: 1px solid #ddd;
    margin-bottom: 1rem;
}


#search-bar h4, 
#categorias h4,
#tags h4 {
    margin-bottom: 1.5rem;
    font-size: 1.6rem;
}

#search-bar form {
    display: flex;

}

#search-bar input {
    padding: 0.5rem 1rem;
    border: 1px solid #ddd;
    border-radius: 5px;
}

#search-bar input [type="submit"] {
    background-color: #37a1f7;
    color: #fff;
    border: none;
    cursor: pointer;
}

#categorias li {
    margin-bottom: 1rem;
}

#tags-container {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
}

#tags-container a {
    background-color: #ddd;
    padding: 0.5rem 0.7rem;
    border-radius: 0.3rem ;
}

footer{
    border-top: 2px solid #ddd;
    padding: 3rem;
    text-align: center;
}

footer h2,
footer p {
    margin-bottom: 1rem;
}
